<?php
session_start();



if(isset($_SESSION["user_id"])){
 header("Location: index.php");
exit();
}



require 'Database.php';

$db = new Database();

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'php/PHPMailer-master/src/Exception.php';
require 'php/PHPMailer-master/src/PHPMailer.php';
require 'php/PHPMailer-master/src/SMTP.php';




  function generateRandomKeyDinamic() {
  $characters = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
  $key = substr(str_shuffle($characters), 0, 200);
  return $key;
}



if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $data = $_POST;
    if (!empty($data)) {
  
    $correo = trim($_POST["correo"]);
    $nombre = trim($_POST["nombre"]);
    $apellidos = trim($_POST["apellidos"]);
    $key = trim($_POST["password"]);
    $sexo = trim($_POST["sexo"]);
    $segmento = trim($_POST["segmento"]);

    $keydinamic = generateRandomKeyDinamic();
    

     $con = $db->conectar();
    
    $correo = $con -> quote($correo);
    $nombre = $con -> quote($nombre);
     $key = $con -> quote($key);
     $keydinamic = password_hash($keydinamic, PASSWORD_DEFAULT);
     $hash = password_hash($key, PASSWORD_DEFAULT);
    $isregister = false;
   $isregisteremail = false;
    
    $sql = $con ->prepare("SELECT * FROM findmyteacher WHERE Correo = :correo AND Rol = 'Estudiante'");
    $sql->bindValue(':correo', $correo);
    $sql->execute();
    $result = $sql->fetchAll();
    if (empty($result)) {
    
    // Preparar la consulta
    $sql1 = $con->prepare("INSERT INTO findmyteacher (ID,Rol, Nombre,Correo,Password,keydinamic, Apellidos, Asistencia,Sexo,Segmento, Imagen)
            VALUES (NULL,:rol,:nombre,:correo,:key ,:keydinamic,:Apellidos,:asistencia,:sex,:segmento,'')");
 $sql1->bindValue(':rol','Estudiante',PDO::PARAM_STR);
$sql1->bindValue(':nombre',$nombre, PDO::PARAM_STR);
$sql1->bindValue(':correo',$correo, PDO::PARAM_STR);
$sql1->bindValue(':key',$hash, PDO::PARAM_STR);
$sql1->bindValue(':keydinamic',$keydinamic, PDO::PARAM_STR);
$sql1->bindValue(':Apellidos',$apellidos, PDO::PARAM_STR);
$sql1->bindValue(':asistencia',1, PDO::PARAM_STR);
$sql1->bindValue(':sex',$sexo, PDO::PARAM_STR);
$sql1->bindValue(':segmento',$segmento, PDO::PARAM_STR);
$sql1->execute();
$num = $sql1->rowCount();
if ($num > 0) $isregister = true;
else $isretry = true;

} else {
$isregisteremail = true;

}}} ?>


<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://kit.fontawesome.com/a81368914c.js"></script>
    <title>Ingresa los valores</title>
    <link rel="stylesheet" href="datos.css">
    
</head>
<body>
   
	<img class="wave" src="Imagen/wave.png">
	<div class="container">
		<div class="img">
		
		</div>
		   <div class="login-content">
			<form  method="POST" >
			    <input type="hidden" value="<?php echo $pass?>" name="CodigoDinamico">
			    <div class="filecontainer">
			 <div id="divfile" class="divfile">
            <p id="texto">Subir una foto</p>
           
            <div id="pFilePict" class="profilepicture"> <img src="" alt="" id="img-preview"></div> </div>
				<h1 class="title">Bienvenido <?php echo str_replace("'", "", $row['Correo']);   ?></h1>
           		<div class="input-div one" style="margin-top:50px;">
           		   <div class="i">
           		   		<i class="fas fa-user"></i>
           		   </div>
           		   <div class="div" >
           		   		<h5>Correo</h5>
           		   		<input type="email" name="correo" class="input" id="Nombre"  required>
           		   </div>
           		</div>
           		
           			<div class="input-div pass">
           		   <div class="i"> 
           		    	<i class="fas fa-user"></i>
           		   </div>
           		   <div class="div">
           		    	<h5>Nombre</h5>
           		    	<input type="text" name="nombre" id ="Apellidos" class="input"   required >
            	   </div>
            	   </div>
           		
           		
           		<div class="input-div pass">
           		   <div class="i"> 
           		    	<i class="fas fa-user"></i>
           		   </div>
           		   <div class="div">
           		    	<h5>Apellidos</h5>
           		    	<input type="text" name="apellidos" id ="Apellidos" class="input"   required >
            	   </div>
            	   </div>
            	   <div class="input-div pass">
           		   <div class="i"> 
           		    	<i class="fas fa-lock"></i>
           		   </div>
           		   <div class="div">
           		    	<h5>Password</h5>
           		    	<input type="password" name="password" id ="pass" class="input"  required >
            	   </div>
            	   </div>
            	      <div class="divS">
                <label>Sexo :</label>
           		  <select id="opciones" name="sexo" class="input">
                <option id="opcion1" value="masculino">Masculino</option>
                <option id="opcion2" value="femenino">Femenino</option>
                <option id="opcion3" value="no definido">No definido</option>
                </select>
            	   </div>
            	   <div class="divS">
            	                   <label>Segmento :</label>
                <select id="opciones_Seg" name="segmento" class="input">
                <option id="opcion1_Seg"  value="primaria">Primaria</option>
                <option id="opcion2_Seg" value="bachillerato">Bachillerato</option>
                
                </select>

            	</div>
        
            	<input type="submit" class="btn" value="Login">
            </form>
        </div>


 <?php if($isregister) { echo '<script>Swal.fire({
                title: "Registro",
                text: "Registro Exitoso",
                icon: "success",
                showConfirmButton: false,
                timer: "1500"
            }).then(()=>{
                window.location="https://dis.net.co/FindTeachers/";
            }) </script>';} else if ($isretry)  echo '<script>Swal.fire({
                title: "Registro",
                text: "Error al registrarse",
                icon: "error",
                showConfirmButton: false,
                timer: "1500"
            }).then(()=>{
                window.location="";
            }) </script>';
            
            if ($isregisteremail)   {echo '<script>Swal.fire({
                title: "Registro",
                text: "Error al registrarse, este correo ya esta registrado",
                icon: "error",
                showConfirmButton: false,
                timer: "1500"
            }).then(()=>{
                window.location="";
            }) </script>';}
            ?>

<script>

var trigger = document.querySelector(".profilepicture");
var hiddenDiv = document.querySelector(".divfile");
var inputPass = document.getElementById("password");
var inputNombre = document.getElementById("Nombre");
var inputApellidos = document.getElementById("Apellidos");
var container = document.querySelector(".filecontainer");

trigger.addEventListener("mouseover", function() {
  hiddenDiv.style.display = "block";
});

container.addEventListener("mouseout", function(event) {
  var target = event.toElement || event.relatedTarget;
  if (!container.contains(target)) {
    hiddenDiv.style.display = "none";
  }
});


  window.onload = function() {

   document.getElementById("Nombre").blur();
    
    

  };
  




        
        const inputs = document.querySelectorAll(".input");


function addcl(){
	let parent = this.parentNode.parentNode;
	parent.classList.add("focus");
}

function remcl(){
	let parent = this.parentNode.parentNode;
	if(this.value == ""){
		parent.classList.remove("focus");
	}
}


  window.onload = function() {
    var input = document.getElementById('pass');
    if (input.value != '') {
      input.focus();
    }
    
        var input2 = document.getElementById('Apellidos');
    if (input2.value != '') {
      input2.focus();
    }
    
    var input3 = document.getElementById('Nombre');
    if (input2.value != '') {
      input3.focus();
    }
  };


inputs.forEach(input => {
    
	input.addEventListener("focus", addcl);
	input.addEventListener("blur", remcl);
});
</script>
</div>
</body>
</html>